@keyframes rotation-loader {
  0% {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}
@-webkit-keyframes spinTo1 {
  0% {
    -webkit-transform: rotate(-44deg);
    transform: rotate(-44deg);
  }
  to {
    transform: rotate(1080deg);
  }
}
@-webkit-keyframes spinTo2 {
  0% {
    transform: rotate(-4deg);
  }
  to {
    transform: rotate(1396deg);
  }
}
@-webkit-keyframes spinTo3 {
  0% {
    transform: rotate(-4deg);
  }
  to {
    transform: rotate(1351deg);
  }
}
@-webkit-keyframes spinTo4 {
  0% {
    transform: rotate(-4deg);
  }
  to {
    transform: rotate(1305deg);
  }
}
@-webkit-keyframes spinTo5 {
  0% {
    transform: rotate(-4deg);
  }
  to {
    transform: rotate(1261deg);
  }
}
@-webkit-keyframes spinTo6 {
  0% {
    transform: rotate(-4deg);
  }
  to {
    transform: rotate(1217deg);
  }
}
@-webkit-keyframes spinTo7 {
  0% {
    transform: rotate(-4deg);
  }
  to {
    transform: rotate(1531deg);
  }
}
@-webkit-keyframes spinTo8 {
  0% {
    transform: rotate(-4deg);
  }
  to {
    transform: rotate(1485deg);
  }
}
@-webkit-keyframes spinner-win {
  0%,
  to {
    transform: rotate(1080deg);
  }
  50% {
    transform: rotate(1085deg);
  }
}
@-webkit-keyframes moveEgg {
  0%,
  to {
    transform: translateY(0);
  }
  50% {
    transform: translateY(5em);
  }
}
@-webkit-keyframes moveChar {
  0%,
  to {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-8em);
  }
}
@-webkit-keyframes shakeModal {
  0%,
  to {
    transform: rotate(6.5deg);
  }
  50% {
    transform: rotate(-6.5deg);
  }
}
* {
  margin: 0;
  padding: 0;
}
*,
::after,
::before {
  box-sizing: border-box;
}
ol[role='list'],
ul[role='list'] {
  list-style: none;
}
html:focus-within {
  scroll-behavior: smooth;
}
a {
  text-decoration: none !important;
}
a:not([class]) {
  text-decoration-skip-ink: auto;
}
canvas,
img,
picture,
svg,
video {
  max-width: 100%;
  height: auto;
  vertical-align: middle;
  font-style: italic;
  background-repeat: no-repeat;
  background-size: cover;
}
button,
input,
select,
textarea {
  font: inherit;
}
@media (prefers-reduced-motion: reduce) {
  html:focus-within {
    scroll-behavior: auto;
  }
  *,
  ::after,
  ::before {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
    transition: none;
  }
}
body,
html {
  height: 100%;
  scroll-behavior: smooth;
}
.hidden {
  display: none !important;
}
.visible {
  display: flex !important;
}
body {
  user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  overflow-x: hidden;
  overflow-y: auto;
  font-size: min(4.5px + 5.5 * (100vw - 375px)/1545, 10px);
  font-style: normal;
  font-size: 80%;
}
.bottom__section-button {
  min-width: 50px;
}
.bottom__section-button span {
  height: auto;
}
.bottom__section-button .button-loader {
  display: none;
}
.bottom__section-button.is--link {
  display: flex;
  align-items: center;
  justify-content: center;
}
.bottom__section-button.is--disabled {
  pointer-events: none;
}
.bottom__section-button.is--disabled span {
  opacity: 0.2;
}
.bottom__section-button.is--disabled .button-loader {
  display: flex;
}
.button-loader {
  position: absolute;
  align-items: center;
  justify-content: center;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
}
.button-loader span {
  width: 30px !important;
  height: 30px !important;
  border: 4px solid #fff;
  border-bottom-color: transparent;
  border-radius: 50%;
  display: inline-block;
  box-sizing: border-box;
  animation: rotation-loader 1s linear infinite;
  opacity: 1 !important;
  margin-left: 0 !important;
  margin-right: 0 !important;
}
.wheel__spinner_win_1 {
  animation: 3s spinTo1 ease-in-out forwards !important;
}
.wheel__spinner_win_2 {
  animation: 3s spinTo2 ease-in-out forwards;
}
.wheel__spinner_win_3 {
  animation: 3s spinTo3 ease-in-out forwards;
}
.wheel__spinner_win_4 {
  animation: 3s spinTo4 ease-in-out forwards;
}
.wheel__spinner_win_5 {
  animation: 3s spinTo5 ease-in-out forwards;
}
.wheel__spinner_win_6 {
  animation: 3s spinTo6 ease-in-out forwards;
}
.wheel__spinner_win_7 {
  animation: 3s spinTo7 ease-in-out forwards;
}
.wheel__spinner_win_8 {
  animation: 3s spinTo8 ease-in-out forwards;
}
.wheel__texts-block {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding-right: 1em !important;
  padding-left: 2em !important;
}
.wheel__texts-block p {
  transform: rotate(-7deg);
}
.wheel__texts-block p:only-child {
  transform: rotate(0deg);
}
.wheel__texts-block p + p {
  margin-top: 10px;
  transform: rotate(7deg);
}
.effects,
.effects__block {
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
}
.effects {
  position: absolute;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  mix-blend-mode: screen;
}
.effects__block {
  background-repeat: no-repeat;
  -webkit-background-size: cover;
  background-size: cover;
  background-position: center;
  position: fixed;
}
.wheel__texts-1,
.wheel__texts-2 {
  transform: rotate(-137deg);
  position: absolute;
  left: 11%;
  top: 23%;
}
.wheel__texts-2 {
  transform: rotate(-93deg);
  left: 32%;
  top: 14%;
}
.wheel__texts-3,
.wheel__texts-4 {
  transform: rotate(-45deg);
  position: absolute;
  left: 54%;
  top: 23%;
}
.wheel__texts-4 {
  transform: rotate(-2deg);
  left: 63%;
  top: 44%;
}
.wheel__texts-5,
.wheel__texts-6 {
  transform: rotate(43deg);
  position: absolute;
  left: 54%;
  top: 65%;
}
.wheel__texts-6 {
  transform: rotate(87deg);
  left: 33%;
  top: 74%;
}
.wheel__texts-7,
.wheel__texts-8 {
  transform: rotate(133deg);
  position: absolute;
  left: 11%;
  top: 66%;
}
.wheel__texts-8 {
  transform: rotate(177deg);
  left: 2%;
  top: 45%;
}
.win-animation-svg {
  position: absolute;
  left: 0;
  top: 0;
  transform: rotate(45deg);
  opacity: 0;
  width: 100%;
}
.win-animation-svg.is--active {
  opacity: 1;
}
.is--win-spinner {
  animation: 2s spinner-win ease-in-out infinite !important;
}
body.is--winner .bottom__section {
  opacity: 0;
}
html {
  background: #161824;
  font-size: min(4.5px + 5.5 * (100vw - 375px)/1545, 10px);
}
@media (max-width: 768px) {
  body {
    font-size: 100%;
  }
}
img {
  width: 100%;
}
.body-wrapper,
.container {
  display: flex;
  position: relative;
  overflow: hidden;
}
.body-wrapper {
  min-height: 100vh;
  background: #161824;
}
.container {
  flex: 1 1 auto;
  flex-direction: column;
  justify-content: center;
  width: 100%;
}
@media (max-width: 1024px) {
  .container {
    display: block;
    flex: unset;
    height: 100%;
  }
}
.container-wrap {
  width: 100%;
  flex: 1 1 auto;
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.logo {
  position: relative;
  display: block;
  width: 60em;
  margin: 0 auto;
  padding: 18px 0;
}
@media (max-width: 768px) {
  .logo {
    font-size: 120%;
  }
}
.game {
  position: relative;
  width: 100vw;
  height: 75.9em;
}
@media (max-width: 1024px) {
  .game {
    font-size: 160%;
  }
}
@media (max-width: 768px) and (max-height: 900px) {
  .game {
    font-size: 135%;
  }
}
.game__char,
.game__field {
  position: absolute;
  transition: transform 0.7s ease-in-out;
}
.game__field {
  z-index: 0;
  top: 0;
  left: 0;
  width: 342.9em;
  height: 75.9em;
  background-position: 0 0;
  background-size: 100% 100%;
  background-repeat: no-repeat;
  background-image: url(https://api.landix.group/assets/chickenRoad/img/bg-desktop.webp);
}
.game__char {
  left: 5em;
  bottom: 7em;
  z-index: 2;
  width: 20em;
  height: 20em;
}
.game__char.is--active img {
  animation: 0.7s moveChar ease-in-out infinite;
}
.game__sector {
  display: block;
  position: absolute;
  z-index: 1;
  top: 0;
  bottom: 0;
  width: 31em;
}
.game__sector-multify {
  position: absolute;
  z-index: 2;
  left: 4.5em;
  width: 22em;
  height: 22em;
  bottom: 35em;
  opacity: 0.5;
  transform: rotateY(0deg);
}
.game__sector-multify-value {
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  padding: 16px;
  color: #fff;
  text-align: center;
  text-shadow:
    0 -2px 1px #3a4270,
    -1px -1px 1px #3a4270,
    0 -1px 1px #3a4270,
    1px -1px 1px #3a4270,
    -2px 0 1px #3a4270,
    -1px 0 1px #3a4270,
    0 0 1px #3a4270,
    1px 0 1px #3a4270,
    2px 0 1px #3a4270,
    -1px 1px 1px #3a4270,
    0 1px 1px #3a4270,
    1px 1px 1px #3a4270,
    0 2px 1px #3a4270;
  -webkit-font-smoothing: antialiased;
  font-size: 3.5em;
  font-style: normal;
  text-transform: uppercase;
  margin-top: -5px;
}
.game__sector-multify .is--active,
.game__sector-multify .is--default,
.game__sector-multify .is--golden {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  backface-visibility: hidden;
  transform-style: preserve-3d;
  transition: transform 0.6s ease;
}
.game__sector-multify .is--active {
  z-index: 1;
  transform: rotateY(-180deg);
}
.game__sector-multify .is--golden {
  transform: rotateY(180deg);
  z-index: 0;
}
.game__sector-button {
  left: 4.5em;
  bottom: 6.3em;
  width: 22em;
  height: 1.5em;
  transition: height 0.3s ease-in-out;
}
.game__sector-button,
.game__sector-fire,
.game__sector-stand {
  display: block;
  position: absolute;
  z-index: 1;
}
.game__sector-stand {
  left: 9.5em;
  bottom: 7.7em;
  width: 14em;
  height: 8em;
  transition: bottom 0.3s ease-in-out;
}
.game__sector-fire {
  left: 0;
  bottom: 2em;
}
.game__sector.is--1 {
  left: 30.5em;
}
.game__sector.is--2 {
  left: 61.5em;
}
.game__sector.is--3 {
  left: 92.5em;
}
.game__sector.is--4 {
  left: 123.5em;
}
.game__sector.is--5 {
  left: 154.5em;
}
.game__sector.is--6 {
  left: 185.5em;
}
.game__sector.is--win {
  left: 216.5em;
  width: 32em;
  background-size: 31em 40em;
  background-repeat: no-repeat;
  background-position: bottom 6.3em left 1em;
  background-image: url(https://api.landix.group/assets/chickenRoad/img/egg-light.webp);
}
.game__sector.is--win .game__sector-multify {
  opacity: 1;
  left: -3em;
  width: 38em;
  height: 38em;
  bottom: 30em;
  animation: 4s moveEgg ease-in-out infinite;
}
.game__sector.is--win .game__sector-multify-value {
  margin-top: 1em;
  text-shadow:
    0 -2px 1px #94651e,
    -1px -1px 1px #94651e,
    0 -1px 1px #94651e,
    1px -1px 1px #94651e,
    -2px 0 1px #94651e,
    -1px 0 1px #94651e,
    0 0 1px #94651e,
    1px 0 1px #94651e,
    2px 0 1px #94651e,
    -1px 1px 1px #94651e,
    0 1px 1px #94651e,
    1px 1px 1px #94651e,
    0 2px 1px #94651e;
  -webkit-font-smoothing: antialiased;
}
.game__sector.is--win .game__sector-button {
  left: 5.5em;
}
.game__sector.is--win.is--active {
  left: 216.5em;
  width: 32em;
  background-size: 31em 40em;
  background-repeat: no-repeat;
  background-position: bottom 6.3em left 1em;
  background-image: url(https://api.landix.group/assets/chickenRoad/img/egg-light-win.webp);
}
.game__sector.is--win.is--active .game__sector-multify-value {
  text-shadow:
    0 -2px 1px #197f42,
    -1px -1px 1px #197f42,
    0 -1px 1px #197f42,
    1px -1px 1px #197f42,
    -2px 0 1px #197f42,
    -1px 0 1px #197f42,
    0 0 1px #197f42,
    1px 0 1px #197f42,
    2px 0 1px #197f42,
    -1px 1px 1px #197f42,
    0 1px 1px #197f42,
    1px 1px 1px #197f42,
    0 2px 1px #197f42;
  -webkit-font-smoothing: antialiased;
}
.game__sector.is--next .game__sector-multify {
  opacity: 1;
}
.game__sector.is--active {
  background-size: cover;
  background-repeat: no-repeat;
  background-position: bottom 6.3em left 0;
  background-image: url(https://api.landix.group/assets/chickenRoad/img/light.webp);
}
.game__sector.is--active .game__sector-button {
  height: 0.2em;
}
.game__sector.is--active .game__sector-stand {
  bottom: 6.3em;
}
.game__sector.is--active .game__sector-fire {
  display: none;
}
.game__sector.is--active .game__sector-multify {
  opacity: 1;
}
.game__sector.is--active .game__sector-multify .is--default {
  transform: rotateY(180deg);
}
.game__sector.is--active .game__sector-multify .is--active {
  transform: rotateY(0deg);
}
.game__sector.is--active .game__sector-multify-value {
  text-shadow:
    0 -2px 1px #265446,
    -1px -1px 1px #265446,
    0 -1px 1px #265446,
    1px -1px 1px #265446,
    -2px 0 1px #265446,
    -1px 0 1px #265446,
    0 0 1px #265446,
    1px 0 1px #265446,
    2px 0 1px #265446,
    -1px 1px 1px #265446,
    0 1px 1px #265446,
    1px 1px 1px #265446,
    0 2px 1px #265446;
  -webkit-font-smoothing: antialiased;
}
.game__sector.is--finished .game__sector-button {
  height: 0.2em;
}
.game__sector.is--finished .game__sector-fire {
  display: none;
}
.game__sector.is--finished .game__sector-multify {
  opacity: 1;
}
.game__sector.is--finished .game__sector-multify .is--active {
  transform: rotateY(-180deg);
}
.game__sector.is--finished .game__sector-multify .is--golden {
  transform: rotateY(0deg);
}
.game-controls {
  position: relative;
  width: 100%;
  max-width: 160em;
  margin: 0 auto;
  padding: 16px;
  border-radius: 20px;
  background-color: #3b3d51;
  display: grid;
  gap: 16px;
  grid-template-columns: 3.29fr 5fr 4.41fr;
}
@media (max-width: 768px) {
  .game-controls {
    gap: 12px;
    padding: 12px;
    grid-template-columns: 1fr;
    font-size: 140%;
  }
}
.game-controls__wrapper {
  padding: 0 6em;
  margin: 2em auto;
}
@media (max-width: 768px) {
  .game-controls__wrapper {
    padding: 0 16px;
  }
}
.game-controls__block {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
@media (max-width: 768px) and (max-height: 800px) {
  .game-controls__block.is--first {
    display: none;
  }
}
.game-controls__block.is--last {
  flex-direction: row;
  gap: 16px;
}
@media (max-width: 768px) {
  .game-controls__block.is--last {
    gap: 12px;
  }
}
.game-controls__rate {
  padding: 12px;
  border-radius: 10px;
  background: #4e5063;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 16px;
  color: #fff;
  font-size: 2em;
  text-align: center;
}
@media (max-width: 768px) {
  .game-controls__rate {
    gap: 12px;
    font-size: 2.5em;
  }
}
.game-controls__rate-btn {
  margin: 0;
  padding: 8px 12px;
  border-radius: 5px;
  background: #606172;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  text-transform: uppercase;
  border: 0;
}
.game-controls__rate-value {
  font-size: 1.5em;
}
.game-controls__defaults {
  margin-top: 16px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 16px;
  color: #fff;
  text-align: center;
}
@media (max-width: 768px) {
  .game-controls__defaults {
    margin-top: 12px;
    gap: 10px;
  }
}
.game-controls__defaults-item {
  width: 100%;
  padding: 12px;
  border-radius: 10px;
  background: #4e5063;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
}
@media (max-width: 768px) {
  .game-controls__defaults-item {
    padding: 10px;
    font-size: 120%;
  }
}
.game-controls__defaults-item-currency {
  width: 1.5em;
  height: 1.5em;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 100%;
  background-color: #fff;
  color: #4e5063;
  font-size: 1.6em;
}
.game-controls__defaults-item-value {
  font-size: 2em;
}
.game-controls__headings {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 16px;
  font-size: 2.2em;
}
@media (max-width: 768px) {
  .game-controls__headings {
    display: none;
  }
}
.game-controls__headings-dif {
  text-align: left;
  color: #fff;
}
.game-controls__headings-chance {
  text-align: right;
  color: #b1b1ba;
}
.game-controls__switcher {
  padding: 6px;
  border-radius: 10px;
  background: #4e5063;
  display: grid;
  align-items: center;
  grid-template-columns: repeat(4, 1fr);
  gap: 16px;
}
@media (max-width: 768px) {
  .game-controls__switcher {
    gap: 10px;
  }
}
.game-controls__switcher-item {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 1.8em;
  color: #8e8f9a;
  text-align: center;
  border-radius: 10px;
  padding: 10px;
}
@media (max-width: 768px) {
  .game-controls__switcher-item {
    font-size: 2.2em;
  }
}
.game-controls__switcher-item.is--active {
  color: #fff;
  background: #5f6171;
}
.game-controls__cash-btn {
  display: none;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
  padding: 12px;
  border-radius: 20px;
  background: #ffc219;
  color: #1d1f21;
  font-size: 2.4em;
  border: 0;
  text-align: center;
  cursor: pointer;
}
@media (max-width: 768px) {
  .game-controls__cash-btn {
    border-radius: 9px;
    font-size: 3em;
  }
}
@media (min-width: 991px) {
  .game-controls__cash-btn:hover {
    background: #ffd257;
  }
}
.game-controls__go-btn {
  width: 100%;
  height: 100%;
}
.game-controls__win-btn {
  display: none;
  position: absolute;
  top: 16px;
  left: 16px;
  right: 16px;
  bottom: 16px;
  font-size: 2em;
}
@media (max-width: 768px) {
  .game-controls__win-btn {
    top: 12px;
    left: 12px;
    right: 12px;
    bottom: 12px;
  }
}
.game-controls.is--active .game-controls__switcher-item,
.game-controls.is--active .game-controls__switcher-item.is--active {
  color: #8e8f9a;
}
.game-controls.is--active .game-controls__rate {
  background: #454759;
  color: #717381;
}
.game-controls.is--active .game-controls__rate-btn {
  background: #4b4c60;
}
.game-controls.is--active .game-controls__defaults {
  color: #9d9ea8;
}
.game-controls.is--active .game-controls__defaults-item {
  background: #454759;
}
.game-controls.is--active .game-controls__defaults-item-currency {
  background-color: #9d9ea8;
  color: #4e5063;
}
.game-controls.is--active .game-controls__switcher {
  background: #4e5063;
}
@media (max-width: 768px) {
  .game-controls.is--active .game-controls__block:nth-child(2) {
    display: none;
  }
  .game-controls.is--active .game-controls__block.is--buttons {
    min-height: 100px;
  }
}
.game-controls.is--active .game-controls__go-btn {
  width: 50%;
}
.game-controls.is--active .game-controls__cash-btn {
  display: flex;
  width: 50%;
}
.bottom__section-button {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
  border: 0;
  cursor: pointer;
  outline: 0;
  text-decoration: none;
  -webkit-tap-highlight-color: transparent;
  background-color: #3ec55b;
  padding: 10px;
  min-height: 50px;
  border-radius: 20px;
  transition: background-color 0.1s ease-in-out;
}
@media (max-width: 768px) {
  .bottom__section-button {
    border-radius: 9px;
  }
}
@media (min-width: 991px) {
  .bottom__section-button:hover {
    background-color: #63df7e;
  }
}
.bottom__section-button span {
  color: #fff;
  text-align: center;
  font-size: 3.8em;
}
@media (max-width: 768px) {
  .bottom__section-button span {
    font-size: 3.5em;
  }
}
.bottom__section-button-next {
  display: none;
}
.bottom__section-button .button-loader span {
  padding: 0 !important;
}
.modal {
  position: absolute;
  z-index: 2;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  overflow: hidden;
  visibility: hidden;
  font-size: 90%;
}
@media (max-width: 768px) {
  .modal {
    font-size: 80%;
  }
}
.modal__content {
  top: 10%;
  position: relative;
  z-index: 2;
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
  width: 58.7em;
  height: 58.7em;
  margin: 0 auto;
  padding: 0 16px;
  border-radius: 4em;
  border: 5px solid #676e80;
  background: rgba(37, 40, 58, 0.5);
  backdrop-filter: blur(35px);
}
@media (max-width: 768px) {
  .modal__content {
    top: 15%;
  }
}
.modal__title {
  font-size: 6.6em;
  color: #fff;
  text-align: center;
  text-transform: uppercase;
}
.modal__balance,
.modal__multify {
  color: #ffc219;
  text-align: center;
  font-size: 10.6em;
  margin-top: 10px;
}
.modal__balance {
  color: #2cff80;
  font-size: 5em;
  display: flex;
  align-items: center;
  gap: 10px;
}
.modal__balance-currency {
  width: 1.5em;
  height: 1.5em;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 100%;
  background-color: #2cff80;
  color: #23242f;
  font-size: 0.6em;
}
.modal.is--active {
  opacity: 1;
  visibility: visible;
  animation: 1s shakeModal ease-in-out infinite;
}
.is--modal-open .game-controls__win-btn {
  display: flex;
}
.is--modal-open .game-controls__block {
  opacity: 0;
}
.effects {
  z-index: 999;
}
.bonus-inline.is--active {
  background: linear-gradient(to left, #1b36ff, #ff0cb4);
}
.bonus-inline.is--active p {
  background: linear-gradient(90deg, #ff0cb4 0, #ff0cb4 100%);
  -webkit-background-clip: text;
}
.bonus-inline.is--active svg path {
  stroke: #ff0cb4;
}
